AmericanExercise Class Reference

American exercise. More...

`#include <ql/exercise.hpp>`

Inheritance diagram for AmericanExercise:
[legend]

## Public Member Functions

| AmericanExercise (const Date &earliestDate, const Date &latestDate, bool payoffAtExpiry=false)
| AmericanExercise (const Date &latestDate, bool payoffAtExpiry=false)
Public Member Functions inherited from EarlyExercise
| EarlyExercise (Type type, bool payoffAtExpiry=false)
bool | payoffAtExpiry () const
Public Member Functions inherited from Exercise
| Exercise (Type type)
Type | type () const
Date | date (Size index) const
Date | dateAt (Size index) const
const std::vector< Date > & | dates () const
| Returns all exercise dates.
Date | lastDate () const

## Additional Inherited Members

Public Types inherited from Exercise
enum | Type { American, Bermudan, European }
Protected Attributes inherited from Exercise
std::vector< Date > | dates_
Type | type_

## Detailed Description

American exercise.

An American option can be exercised at any time between two predefined dates; the first date might be omitted, in which case the option can be exercised at any time before the expiry.

Examples
  ConvertibleBonds.cpp, and EquityOption.cpp.